You can fetch the details of a single redirect by making a GET request to https://api.intercom.io/help_center/help_centers/{help_center_id}/redirects/{id}.
Requires the read_help_center_redirects_scope OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/help_center/help_centers/{help_center_id}/redirects/{id}
- The european API serverhttps://api.eu.intercom.io/help_center/help_centers/{help_center_id}/redirects/{id}
- The australian API serverhttps://api.au.intercom.io/help_center/help_centers/{help_center_id}/redirects/{id}
curl -i -X GET \
https://api.intercom.io/help_center/help_centers/123/redirects/26 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Successful
The type of the object - help_center_redirect.
Value:"help_center_redirect"
Example:"help_center_redirect"
The source URL that is redirected. An absolute URL within the help center's URL space.
Example:"http://help-center.test/lovelyhelpcenter/old-page"
The locale of the redirect's target. For article targets this is the bound translation's locale, which may differ from the requested locale if no translation exists in that locale.
Example:"en"
The unique identifier of the target article or collection. For article targets this is the Article ID.
Example:"11"
Response
{ "id": "26", "type": "help_center_redirect", "from_url": "http://help-center.test/lovelyhelpcenter/old-page", "locale": "en", "help_center_id": "7", "target_type": "article", "target_id": "11", "created_at": 1781619405, "updated_at": 1781619405 }